Web   ·   Wiki   ·   Activities   ·   Blog   ·   Lists   ·   Chat   ·   Meeting   ·   Bugs   ·   Git   ·   Translate   ·   Archive   ·   People   ·   Donate
summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorWalter Bender <walter@walter-laptop.(none)>2009-02-20 16:12:44 (GMT)
committer Walter Bender <walter@walter-laptop.(none)>2009-02-20 16:12:44 (GMT)
commitb0b6de5e6c61fe92452bf057d2f0677a3d1fec9b (patch)
tree18b7e220d66044df26505c31b0ad68cda5e8d8b0 /bin
parent897de91d58c45e13f6de78818d9805fc78021d75 (diff)
silbe patch to build alsaaudio on first launch
Diffstat (limited to 'bin')
-rwxr-xr-xbin/compile-archspec16
-rwxr-xr-xbin/wrapper22
2 files changed, 38 insertions, 0 deletions
diff --git a/bin/compile-archspec b/bin/compile-archspec
new file mode 100755
index 0000000..2a5a042
--- /dev/null
+++ b/bin/compile-archspec
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -e
+
+archsrcdir="$1"
+archinstdir="$2"
+
+mkdir -p "${archinstdir}"
+cp -a "${archsrcdir}"/* "${archinstdir}"/
+cd "${archinstdir}"
+if [ -e configure ] ; then
+ ./configure --prefix="${archinstdir}"
+fi
+
+make PREFIX="${archinstdir}"
+make install PREFIX="${archinstdir}"
+
diff --git a/bin/wrapper b/bin/wrapper
new file mode 100755
index 0000000..0d92661
--- /dev/null
+++ b/bin/wrapper
@@ -0,0 +1,22 @@
+#!/bin/bash
+set -e
+instflag="${SUGAR_ACTIVITY_ROOT}/data/.installed"
+cpu="$(uname -m)"
+archsrcdir="${SUGAR_BUNDLE_PATH}/arch_src"
+archbundledir="${SUGAR_BUNDLE_PATH}/arch_${cpu}"
+archinstdir="${SUGAR_ACTIVITY_ROOT}/data/.arch_${cpu}"
+pythonversion="$(python -V 2>&1 | cut -d ' ' -f 2 | cut -d . -f 1-2)"
+
+if [ ! -e "${instflag}" ] ; then
+ curchecksum="$(find "${archsrcdir}" -type f -print0 | xargs -0 md5sum -- | md5sum)"
+ if [ "$cpu" = "unknown" -o ! -e "${archbundledir}" ] || [ "${curchecksum}" != "$(cat "${archbundledir}/checksum")" ] ; then
+ # unknown arch or no (current) precompiled binaries -> need to compile
+ compile-archspec "${archsrcdir}" "${archinstdir}"
+ fi
+ touch "${instflag}"
+fi
+
+export LD_LIBRARY_PATH="${archinstdir}/lib:${archinstdir}/lib64:${LD_LIBRARY_PATH}"
+export PYTHONPATH="${archinstdir}/lib/python${pythonversion}/site-packages:${PYTHONPATH}"
+
+exec "$@"